/*===================*/
/* colores generales */
/*===================*/
/*===================*/
/* textos */
/*===================*/
/*===================*/
/* global */
/*===================*/
/*===================*/
/* carrusel */
/*===================*/
/*===================*/
/* header nav */
/*===================*/
/*===================*/
/* Footer */
/*===================*/
*,
h1,
h2,
h3,
h4,
h5,
p,
ul,
figure {
  margin: 0px;
  padding: 0px;
}

main {
  margin-top: 76px;
}

@media (max-width: 991px) {
  main {
    margin-top: 70px;
  }
}

body {
  font-family: "Montserrat", sans-serif;
  color: var(--textoOscuro);
  background-color: var(--backgroundBody);
  min-height: 100dvh;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

/*========================*/
/* efecto aparecer */
/*========================*/
.hidden {
  opacity: 0;
  transform: translateY(20px);
  transition: all 0.8s ease-out;
}

.show {
  opacity: 1;
  transform: translateY(0);
}

/*========================*/
/* Home */
/*========================*/
.home-titulo1 {
  color: var(--color1);
  font-weight: 700;
  font-size: 25px;
}

.home-titulo2 {
  color: var(--color1);
  font-weight: 700;
  font-size: 20px;
}

.home-titulo3 {
  color: var(--textoOscuro);
  font-weight: 700;
  font-size: 25px;
}

.home-spanTitulo3 {
  color: var(--color1);
}

.home-titulo4 {
  color: var(--textoOscuro);
  font-weight: 500;
  font-size: 20px;
}

/*========================*/
/* modal */
/*========================*/
.figureModal{
  width: 100%;
  display: flex;
  justify-content: center;
}

.imgModal{
  max-width: 100%;
}


/*========================*/
/* seccion quienes somos */
/*========================*/
.home-figQuienesSomos {
  max-width: 100%;
}

.home-contInfoQuienesSomos {
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.home-imgQuienesSomos {
  height: 400px;
  width: 100%;
  object-fit: cover;
  border-radius: 5px;
  box-shadow: var(--sombra);
}

@media(max-width: 991px) {
  .home-imgQuienesSomos {
    height: 250px;
  }
}

/*========================*/
/* seccion casas | personalizadas - prefabricadas */
/*========================*/
.home-cardCasas {
  border-radius: 10px;
  height: 200px;
  overflow: hidden;
  position: relative;
  border: 1px solid #00000033;
  display: flex;
  justify-content: center;
}

.home-imgCardCasas {
  max-width: 100%;
  height: 100%;
}

.home-btnModalCardCasa {
  position: absolute;
  bottom: 10px;
  left: 50%;
  transform: translateX(-50%);
  background-color: var(--color2);
  border-color: var(--color2);

  &:hover {
    background-color: var(--color2Hover);
    border-color: var(--color2Hover);
  }
}

.home-btnModalCardCasa:active {
  background-color: var(--color2Hover) !important;
  border-color: var(--color2Hover) !important;
}

.home-carruselPersonalizadas{
  box-shadow: var(--sombra);
  border-radius: 5px;
  overflow: hidden;
}

.home-imgPersonalizada{
  height: 400px;
  object-fit: cover;
}

@media(max-width: 991px) {
  .home-imgPersonalizada{
    height: 250px;
  }
}

/*========================*/
/* seccion servicios */
/*========================*/
.home-cardServicio {
  background-color: var(--color3);
  padding: 2rem 1rem;
  border-radius: 5px;
  box-shadow: var(--sombra);
  height: 100%;
  display: flex;
  flex-direction: column;
}

.home-listaCardServicio {
  list-style: none;
}

.home-elemListaCardServicio {
  display: flex;
  align-items: center;
}

.home-elemListaCardServicio svg {
  max-width: 30px;
  min-width: 30px;
}

.home-contBtnCardServicio {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.home-btnCardServicio {
  background-color: var(--color2);
  color: var(--textoClaro);
  width: 200px;
  border: none;
  border-radius: 5px;
  height: 35px;
  text-decoration: none;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;

  &:hover {
    background-color: var(--color2Hover);
  }
}

/*========================*/
/* seccion galeria grid */
/*========================*/
.home-contGaleria {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(2, 250px);
  grid-column-gap: 20px;
  grid-row-gap: 20px;
}

@media(max-width: 991px) {
  .home-contGaleria {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-column-gap: 20px;
    grid-row-gap: 20px;
  }
}

.home-imgGaleria {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  border-radius: 5px;
  box-shadow: var(--sombra);
}

.home-imgGaleria1 {
  grid-area: 1 / 1 / 3 / 3;
}

@media(max-width: 991px) {
  .home-imgGaleria1 {
    grid-area: 1 / 1 / 2 / 2;
  }
}

.home-imgGaleria2 {
  grid-area: 1 / 3 / 2 / 4;
}

@media(max-width: 991px) {
  .home-imgGaleria2 {
    grid-area: 1 / 2 / 2 / 3;
  }
}

.home-imgGaleria3 {
  grid-area: 1 / 4 / 2 / 5;
}

@media(max-width: 991px) {
  .home-imgGaleria3 {
    grid-area: 2 / 1 / 3 / 3;
  }
}

.home-imgGaleria4 {
  grid-area: 2 / 3 / 3 / 5;
}

@media(max-width: 991px) {
  .home-imgGaleria4 {
    display: none;
  }
}




/*========================*/
/* pagina galeria grid */
/*========================*/
.galeria-contGaleria {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(3, 250px);
  grid-column-gap: 20px;
  grid-row-gap: 20px;
}

@media(max-width: 991px) {
  .galeria-contGaleria {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(7, 1fr);
    grid-column-gap: 20px;
    grid-row-gap: 20px;
  }
}

.galeria-figGaleria{
  box-shadow: var(--sombra);
  cursor: pointer;
}

.galeria-imgGaleria {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  border-radius: 5px;
  
}

.galeria-imgGaleria1 {
  grid-area: 1 / 1 / 3 / 3;
}

@media(max-width: 991px) {
  .galeria-imgGaleria1 {
    grid-area: 1 / 1 / 2 / 3;
  }
}

.galeria-imgGaleria2 {
  grid-area: 1 / 3 / 2 / 3;
}

@media(max-width: 991px) {
  .galeria-imgGaleria2 {
    grid-area: 2 / 1 / 3 / 3;
  }
}

.galeria-imgGaleria3 {
  grid-area: 1 / 4 / 2 / 5;
}

@media(max-width: 991px) {
  .galeria-imgGaleria3 {
    grid-area: 3 / 1 / 4 / 3;
  }
}

.galeria-imgGaleria4 {
  grid-area: 2 / 3 / 3 / 5;
}

@media(max-width: 991px) {
  .galeria-imgGaleria4 {
    grid-area: 4 / 1 / 5 / 3;
  }
}

.galeria-imgGaleria5 {
  grid-area: 3 / 1 / 4 / 3;
}

@media(max-width: 991px) {
  .galeria-imgGaleria5 {
    grid-area: 5 / 1 / 6 / 3;
  }
}

.galeria-imgGaleria6 {
  grid-area: 3 / 3 / 4 / 4;
}

@media(max-width: 991px) {
  .galeria-imgGaleria6 {
    grid-area: 6 / 1 / 7 / 3;
  }
}

.galeria-imgGaleria7 {
  grid-area: 3 / 4 / 4 / 5;
}

@media(max-width: 991px) {
  .galeria-imgGaleria7 {
    grid-area: 7 / 1 / 8 / 3;
  }
}